import dayjs from "dayjs";
import { setRefreshToken } from "@/request/api.js";
import { useUserStore } from "@/pinia/user.js";
import pinia from "@/pinia/index.js";

export default async function () {
  const userStore = useUserStore(pinia);
  if (userStore.getTokenTime) {
    if (dayjs().diff(dayjs(userStore.getTokenTime), "minute") >= 5) {
      await userStore.setTokenTime(dayjs().format("YYYY-MM-DD HH:mm:ss"));
      await setRefreshToken();
    }
  }
}
