import { ElMessage } from "element-plus";
import { useTemplateRef } from "vue";

export default function useFormValidate() {
  const formRef = useTemplateRef("formRef");
  const validate = (message = "请补全必填项!") => {
    return new Promise((resolve, reject) => {
      formRef.value.validate((valid) => {
        if (valid) {
          resolve(valid);
        } else {
          reject(valid);
          ElMessage.warning(message);
          setTimeout(() => {
            const element = document.querySelectorAll(
              ".el-form-item__error"
            )[0];
            element.scrollIntoView({
              behavior: "smooth",
              block: "center",
            });
          }, 100);
        }
      });
    });
  };
  return { validate, formRef };
}
