import { defineStore } from "pinia";

export const useMiscellaneousStore = defineStore("miscellaneousStore", {
  state: () => ({
    queryCriteria: {},
  }),
  getters: {
    getQueryCriteria() {
      return this.queryCriteria;
    },
  },
  actions: {
    setQueryCriteria(data) {
      this.queryCriteria = data;
    },
    resetQueryCriteria() {
      this.queryCriteria[window.location.href] = {};
    },
  },
  persist: {
    storage: window.sessionStorage,
    paths: [],
  },
});
