import { defineStore } from "pinia";

export const useUserStore = defineStore("userStore", {
  state: () => ({
    userInfo: {},
    token: "",
    tokenTime: "1",
    permissions: [],
  }),
  getters: {
    getUserInfo: (state) => state.userInfo,
    getToken: (state) => state.token,
    getTokenTime: (state) => state.tokenTime,
    getPermissions: (state) => state.permissions,
  },
  actions: {
    setUserInfo(userInfo) {
      this.userInfo = userInfo;
    },
    async setToken(token) {
      this.token = token;
    },
    async setTokenTime(tokenTime) {
      this.tokenTime = tokenTime;
    },
    setPermissions(permissions) {
      this.permissions = permissions;
    },
  },
  persist: {
    storage: window.sessionStorage,
  },
});
